DBusAuthStateData Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

Information about a auth state. More...

## Data Fields

const char * | name
| Name of the state.
DBusAuthStateFunction | handler
| State function for this state.

## Detailed Description

Information about a auth state.

Definition at line 146 of file dbus-auth.c.

## Field Documentation

## handler

DBusAuthStateFunction DBusAuthStateData::handler

State function for this state.

Definition at line 149 of file dbus-auth.c.

## name

const char* DBusAuthStateData::name

Name of the state.

Definition at line 148 of file dbus-auth.c.

The documentation for this struct was generated from the following file:

- dbus-auth.c